"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.writeFile = void 0;

var _fs = require("fs");

var _tools = require("@kettil/tools");

const writeFile = async (path, data) => {
  const fileData = (0, _tools.isString)(data) ? data : JSON.stringify(data, undefined, 2);
  await _fs.promises.writeFile(path, `${fileData.trim()}\n`, {
    encoding: 'utf8'
  });
};

exports.writeFile = writeFile;