"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCollectCoverageFrom = void 0;

var _tools = require("@kettil/tools");

const getCollectCoverageFrom = (workspaces, customeCollectCoverageFrom) => {
  const workspacePaths = workspaces.flatMap(workspace => [`${workspace}/src/**/*.{ts,tsx,js}`, `!${workspace}/src/**/types.ts`, `!${workspace}/src/index.ts`]);
  return ['<rootDir>/src/**/*.{ts,tsx,js}', '!<rootDir>/src/**/types.ts', '!<rootDir>/src/index.ts', ...workspacePaths, ...((0, _tools.isArray)(customeCollectCoverageFrom) ? customeCollectCoverageFrom.filter(_tools.isString) : [])];
};

exports.getCollectCoverageFrom = getCollectCoverageFrom;