"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "analyseTask", {
  enumerable: true,
  get: function () {
    return _analyseTask.analyseTask;
  }
});
Object.defineProperty(exports, "buildTask", {
  enumerable: true,
  get: function () {
    return _buildTask.buildTask;
  }
});
Object.defineProperty(exports, "ciTask", {
  enumerable: true,
  get: function () {
    return _ciTask.ciTask;
  }
});
Object.defineProperty(exports, "createJestConfig", {
  enumerable: true,
  get: function () {
    return _jest.createJestConfig;
  }
});
Object.defineProperty(exports, "createJestProject", {
  enumerable: true,
  get: function () {
    return _jest.createJestProject;
  }
});
Object.defineProperty(exports, "gitTask", {
  enumerable: true,
  get: function () {
    return _gitTask.gitTask;
  }
});
Object.defineProperty(exports, "manageTask", {
  enumerable: true,
  get: function () {
    return _manageTask.manageTask;
  }
});
Object.defineProperty(exports, "startTask", {
  enumerable: true,
  get: function () {
    return _startTask.startTask;
  }
});
Object.defineProperty(exports, "testTask", {
  enumerable: true,
  get: function () {
    return _testTask.testTask;
  }
});

var _jest = require("./lib/generator/jest");

var _analyseTask = require("./lib/tasks/analyseTask");

var _buildTask = require("./lib/tasks/buildTask");

var _ciTask = require("./lib/tasks/ciTask");

var _gitTask = require("./lib/tasks/gitTask");

var _manageTask = require("./lib/tasks/manageTask");

var _startTask = require("./lib/tasks/startTask");

var _testTask = require("./lib/tasks/testTask");