/// <reference types="node" />
/// <reference types="node" />
import type { ChildProcessByStdio } from 'child_process';
import type { Readable, Writable } from 'stream';
import type { ExecOptions } from './exec';
declare type PipeType = ChildProcessByStdio<Writable, Readable | null, Readable | null>;
declare const execStdio: (props: ExecOptions, { registerStdin, pipe }?: {
    registerStdin?: boolean | undefined;
    pipe?: PipeType | undefined;
}) => Promise<void>;
export { execStdio };
//# sourceMappingURL=execStdio.d.ts.map